Generation Framework

## org.eclipse.gmf.gmfgraph.provider
Class GMFGraphItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.gmf.gmfgraph.util.GMFGraphAdapterFactory
              org.eclipse.gmf.gmfgraph.provider.GMFGraphItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IChildCreationExtender, org.eclipse.emf.edit.provider.IDisposable

    public class GMFGraphItemProviderAdapterFactory

extends GMFGraphAdapterFactory
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IChildCreationExtender

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IChildCreationExtender
`org.eclipse.emf.edit.provider.IChildCreationExtender.Descriptor`

Field Summary
`protected AlignmentFacetItemProvider` `alignmentFacetItemProvider` This keeps track of the one adapter used for all `AlignmentFacet` instances
`protected BasicFontItemProvider` `basicFontItemProvider` This keeps track of the one adapter used for all `BasicFont` instances
`protected BorderLayoutDataItemProvider` `borderLayoutDataItemProvider` This keeps track of the one adapter used for all `BorderLayoutData` instances
`protected BorderLayoutItemProvider` `borderLayoutItemProvider` This keeps track of the one adapter used for all `BorderLayout` instances
`protected BorderRefItemProvider` `borderRefItemProvider` This keeps track of the one adapter used for all `BorderRef` instances
`protected CanvasItemProvider` `canvasItemProvider` This keeps track of the one adapter used for all `Canvas` instances
`protected org.eclipse.emf.edit.provider.IChangeNotifier` `changeNotifier` This is used to implement `IChangeNotifier`
`protected ChildAccessItemProvider` `childAccessItemProvider` This keeps track of the one adapter used for all `ChildAccess` instances
`protected org.eclipse.emf.edit.provider.ChildCreationExtenderManager` `childCreationExtenderManager` This helps manage the child creation extenders
`protected CompartmentItemProvider` `compartmentItemProvider` This keeps track of the one adapter used for all `Compartment` instances
`protected CompoundBorderItemProvider` `compoundBorderItemProvider` This keeps track of the one adapter used for all `CompoundBorder` instances
`protected ConnectionItemProvider` `connectionItemProvider` This keeps track of the one adapter used for all `Connection` instances
`protected ConstantColorItemProvider` `constantColorItemProvider` This keeps track of the one adapter used for all `ConstantColor` instances
`protected CustomAttributeItemProvider` `customAttributeItemProvider` This keeps track of the one adapter used for all `CustomAttribute` instances
`protected CustomBorderItemProvider` `customBorderItemProvider` This keeps track of the one adapter used for all `CustomBorder` instances
`protected CustomConnectionItemProvider` `customConnectionItemProvider` This keeps track of the one adapter used for all `CustomConnection` instances
`protected CustomDecorationItemProvider` `customDecorationItemProvider` This keeps track of the one adapter used for all `CustomDecoration` instances
`protected CustomFigureItemProvider` `customFigureItemProvider` This keeps track of the one adapter used for all `CustomFigure` instances
`protected CustomLayoutDataItemProvider` `customLayoutDataItemProvider` This keeps track of the one adapter used for all `CustomLayoutData` instances
`protected CustomLayoutItemProvider` `customLayoutItemProvider` This keeps track of the one adapter used for all `CustomLayout` instances
`protected DefaultSizeFacetItemProvider` `defaultSizeFacetItemProvider` This keeps track of the one adapter used for all `DefaultSizeFacet` instances
`protected DiagramLabelItemProvider` `diagramLabelItemProvider` This keeps track of the one adapter used for all `DiagramLabel` instances
`protected DimensionItemProvider` `dimensionItemProvider` This keeps track of the one adapter used for all `Dimension` instances
`protected EllipseItemProvider` `ellipseItemProvider` This keeps track of the one adapter used for all `Ellipse` instances
`protected FigureAccessorItemProvider` `figureAccessorItemProvider` This keeps track of the one adapter used for all `FigureAccessor` instances
`protected FigureDescriptorItemProvider` `figureDescriptorItemProvider` This keeps track of the one adapter used for all `FigureDescriptor` instances
`protected FigureGalleryItemProvider` `figureGalleryItemProvider` This keeps track of the one adapter used for all `FigureGallery` instances
`protected FigureRefItemProvider` `figureRefItemProvider` This keeps track of the one adapter used for all `FigureRef` instances
`protected FlowLayoutItemProvider` `flowLayoutItemProvider` This keeps track of the one adapter used for all `FlowLayout` instances
`protected GeneralFacetItemProvider` `generalFacetItemProvider` This keeps track of the one adapter used for all `GeneralFacet` instances
`protected GradientFacetItemProvider` `gradientFacetItemProvider` This keeps track of the one adapter used for all `GradientFacet` instances
`protected GridLayoutDataItemProvider` `gridLayoutDataItemProvider` This keeps track of the one adapter used for all `GridLayoutData` instances
`protected GridLayoutItemProvider` `gridLayoutItemProvider` This keeps track of the one adapter used for all `GridLayout` instances
`protected InsetsItemProvider` `insetsItemProvider` This keeps track of the one adapter used for all `Insets` instances
`protected LabeledContainerItemProvider` `labeledContainerItemProvider` This keeps track of the one adapter used for all `LabeledContainer` instances
`protected LabelItemProvider` `labelItemProvider` This keeps track of the one adapter used for all `Label` instances
`protected LabelOffsetFacetItemProvider` `labelOffsetFacetItemProvider` This keeps track of the one adapter used for all `LabelOffsetFacet` instances
`protected LayoutRefItemProvider` `layoutRefItemProvider` This keeps track of the one adapter used for all `LayoutRef` instances
`protected LineBorderItemProvider` `lineBorderItemProvider` This keeps track of the one adapter used for all `LineBorder` instances
`protected MarginBorderItemProvider` `marginBorderItemProvider` This keeps track of the one adapter used for all `MarginBorder` instances
`protected NodeItemProvider` `nodeItemProvider` This keeps track of the one adapter used for all `Node` instances
`protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory
`protected PointItemProvider` `pointItemProvider` This keeps track of the one adapter used for all `Point` instances
`protected PolygonDecorationItemProvider` `polygonDecorationItemProvider` This keeps track of the one adapter used for all `PolygonDecoration` instances
`protected PolygonItemProvider` `polygonItemProvider` This keeps track of the one adapter used for all `Polygon` instances
`protected PolylineConnectionItemProvider` `polylineConnectionItemProvider` This keeps track of the one adapter used for all `PolylineConnection` instances
`protected PolylineDecorationItemProvider` `polylineDecorationItemProvider` This keeps track of the one adapter used for all `PolylineDecoration` instances
`protected PolylineItemProvider` `polylineItemProvider` This keeps track of the one adapter used for all `Polyline` instances
`protected RectangleItemProvider` `rectangleItemProvider` This keeps track of the one adapter used for all `Rectangle` instances
`protected RGBColorItemProvider` `rgbColorItemProvider` This keeps track of the one adapter used for all `RGBColor` instances
`protected RoundedRectangleItemProvider` `roundedRectangleItemProvider` This keeps track of the one adapter used for all `RoundedRectangle` instances
`protected ScalablePolygonItemProvider` `scalablePolygonItemProvider` This keeps track of the one adapter used for all `ScalablePolygon` instances
`protected StackLayoutItemProvider` `stackLayoutItemProvider` This keeps track of the one adapter used for all `StackLayout` instances
`protected java.util.Collection<java.lang.Object>` `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`
`protected XYLayoutDataItemProvider` `xyLayoutDataItemProvider` This keeps track of the one adapter used for all `XYLayoutData` instances
`protected XYLayoutItemProvider` `xyLayoutItemProvider` This keeps track of the one adapter used for all `XYLayout` instances

Fields inherited from class org.eclipse.gmf.gmfgraph.util.GMFGraphAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`GMFGraphItemProviderAdapterFactory()` This constructs an instance

Method Summary
`org.eclipse.emf.common.notify.Adapter` `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener
`org.eclipse.emf.common.notify.Adapter` `createAlignmentFacetAdapter()` This creates an adapter for a `AlignmentFacet`
`org.eclipse.emf.common.notify.Adapter` `createBasicFontAdapter()` This creates an adapter for a `BasicFont`
`org.eclipse.emf.common.notify.Adapter` `createBorderLayoutAdapter()` This creates an adapter for a `BorderLayout`
`org.eclipse.emf.common.notify.Adapter` `createBorderLayoutDataAdapter()` This creates an adapter for a `BorderLayoutData`
`org.eclipse.emf.common.notify.Adapter` `createBorderRefAdapter()` This creates an adapter for a `BorderRef`
`org.eclipse.emf.common.notify.Adapter` `createCanvasAdapter()` This creates an adapter for a `Canvas`
`org.eclipse.emf.common.notify.Adapter` `createChildAccessAdapter()` This creates an adapter for a `ChildAccess`
`org.eclipse.emf.common.notify.Adapter` `createCompartmentAdapter()` This creates an adapter for a `Compartment`
`org.eclipse.emf.common.notify.Adapter` `createCompoundBorderAdapter()` This creates an adapter for a `CompoundBorder`
`org.eclipse.emf.common.notify.Adapter` `createConnectionAdapter()` This creates an adapter for a `Connection`
`org.eclipse.emf.common.notify.Adapter` `createConstantColorAdapter()` This creates an adapter for a `ConstantColor`
`org.eclipse.emf.common.notify.Adapter` `createCustomAttributeAdapter()` This creates an adapter for a `CustomAttribute`
`org.eclipse.emf.common.notify.Adapter` `createCustomBorderAdapter()` This creates an adapter for a `CustomBorder`
`org.eclipse.emf.common.notify.Adapter` `createCustomConnectionAdapter()` This creates an adapter for a `CustomConnection`
`org.eclipse.emf.common.notify.Adapter` `createCustomDecorationAdapter()` This creates an adapter for a `CustomDecoration`
`org.eclipse.emf.common.notify.Adapter` `createCustomFigureAdapter()` This creates an adapter for a `CustomFigure`
`org.eclipse.emf.common.notify.Adapter` `createCustomLayoutAdapter()` This creates an adapter for a `CustomLayout`
`org.eclipse.emf.common.notify.Adapter` `createCustomLayoutDataAdapter()` This creates an adapter for a `CustomLayoutData`
`org.eclipse.emf.common.notify.Adapter` `createDefaultSizeFacetAdapter()` This creates an adapter for a `DefaultSizeFacet`
`org.eclipse.emf.common.notify.Adapter` `createDiagramLabelAdapter()` This creates an adapter for a `DiagramLabel`
`org.eclipse.emf.common.notify.Adapter` `createDimensionAdapter()` This creates an adapter for a `Dimension`
`org.eclipse.emf.common.notify.Adapter` `createEllipseAdapter()` This creates an adapter for a `Ellipse`
`org.eclipse.emf.common.notify.Adapter` `createFigureAccessorAdapter()` This creates an adapter for a `FigureAccessor`
`org.eclipse.emf.common.notify.Adapter` `createFigureDescriptorAdapter()` This creates an adapter for a `FigureDescriptor`
`org.eclipse.emf.common.notify.Adapter` `createFigureGalleryAdapter()` This creates an adapter for a `FigureGallery`
`org.eclipse.emf.common.notify.Adapter` `createFigureRefAdapter()` This creates an adapter for a `FigureRef`
`org.eclipse.emf.common.notify.Adapter` `createFlowLayoutAdapter()` This creates an adapter for a `FlowLayout`
`org.eclipse.emf.common.notify.Adapter` `createGeneralFacetAdapter()` This creates an adapter for a `GeneralFacet`
`org.eclipse.emf.common.notify.Adapter` `createGradientFacetAdapter()` This creates an adapter for a `GradientFacet`
`org.eclipse.emf.common.notify.Adapter` `createGridLayoutAdapter()` This creates an adapter for a `GridLayout`
`org.eclipse.emf.common.notify.Adapter` `createGridLayoutDataAdapter()` This creates an adapter for a `GridLayoutData`
`org.eclipse.emf.common.notify.Adapter` `createInsetsAdapter()` This creates an adapter for a `Insets`
`org.eclipse.emf.common.notify.Adapter` `createLabelAdapter()` This creates an adapter for a `Label`
`org.eclipse.emf.common.notify.Adapter` `createLabeledContainerAdapter()` This creates an adapter for a `LabeledContainer`
`org.eclipse.emf.common.notify.Adapter` `createLabelOffsetFacetAdapter()` This creates an adapter for a `LabelOffsetFacet`
`org.eclipse.emf.common.notify.Adapter` `createLayoutRefAdapter()` This creates an adapter for a `LayoutRef`
`org.eclipse.emf.common.notify.Adapter` `createLineBorderAdapter()` This creates an adapter for a `LineBorder`
`org.eclipse.emf.common.notify.Adapter` `createMarginBorderAdapter()` This creates an adapter for a `MarginBorder`
`org.eclipse.emf.common.notify.Adapter` `createNodeAdapter()` This creates an adapter for a `Node`
`org.eclipse.emf.common.notify.Adapter` `createPointAdapter()` This creates an adapter for a `Point`
`org.eclipse.emf.common.notify.Adapter` `createPolygonAdapter()` This creates an adapter for a `Polygon`
`org.eclipse.emf.common.notify.Adapter` `createPolygonDecorationAdapter()` This creates an adapter for a `PolygonDecoration`
`org.eclipse.emf.common.notify.Adapter` `createPolylineAdapter()` This creates an adapter for a `Polyline`
`org.eclipse.emf.common.notify.Adapter` `createPolylineConnectionAdapter()` This creates an adapter for a `PolylineConnection`
`org.eclipse.emf.common.notify.Adapter` `createPolylineDecorationAdapter()` This creates an adapter for a `PolylineDecoration`
`org.eclipse.emf.common.notify.Adapter` `createRectangleAdapter()` This creates an adapter for a `Rectangle`
`org.eclipse.emf.common.notify.Adapter` `createRGBColorAdapter()` This creates an adapter for a `RGBColor`
`org.eclipse.emf.common.notify.Adapter` `createRoundedRectangleAdapter()` This creates an adapter for a `RoundedRectangle`
`org.eclipse.emf.common.notify.Adapter` `createScalablePolygonAdapter()` This creates an adapter for a `ScalablePolygon`
`org.eclipse.emf.common.notify.Adapter` `createStackLayoutAdapter()` This creates an adapter for a `StackLayout`
`org.eclipse.emf.common.notify.Adapter` `createXYLayoutAdapter()` This creates an adapter for a `XYLayout`
`org.eclipse.emf.common.notify.Adapter` `createXYLayoutDataAdapter()` This creates an adapter for a `XYLayoutData`
`void` `dispose()` This disposes all of the item providers created by this factory
`void` `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`
`java.util.List<org.eclipse.emf.edit.provider.IChildCreationExtender>` `getChildCreationExtenders()`
`java.util.Collection<?>` `getNewChildDescriptors(java.lang.Object object, org.eclipse.emf.edit.domain.EditingDomain editingDomain)`
`org.eclipse.emf.common.util.ResourceLocator` `getResourceLocator()`
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener
`void` `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory

Methods inherited from class org.eclipse.gmf.gmfgraph.util.GMFGraphAdapterFactory

`createAbstractFigureAdapter, createAbstractNodeAdapter, createAdapter, createBorderAdapter, createColorAdapter, createConnectionFigureAdapter, createCustomClassAdapter, createDecorationFigureAdapter, createDiagramElementAdapter, createEObjectAdapter, createFigureAdapter, createFontAdapter, createIdentityAdapter, createLayoutableAdapter, createLayoutAdapter, createLayoutDataAdapter, createRealFigureAdapter, createShapeAdapter, createVisualFacetAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Field Detail

### parentAdapterFactory

    protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

  This keeps track of the root adapter factory that delegates to this adapter factory.

  ** Generated **

### changeNotifier

    protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

  This is used to implement `IChangeNotifier`.

  ** Generated **

### childCreationExtenderManager

    protected org.eclipse.emf.edit.provider.ChildCreationExtenderManager childCreationExtenderManager

  This helps manage the child creation extenders.

  ** Generated **

### supportedTypes

    protected java.util.Collection<java.lang.Object> supportedTypes

  This keeps track of all the supported types checked by `isFactoryForType`.

  ** Generated **

### canvasItemProvider

    protected CanvasItemProvider canvasItemProvider

  This keeps track of the one adapter used for all `Canvas` instances.

  ** Generated **

### figureGalleryItemProvider

    protected FigureGalleryItemProvider figureGalleryItemProvider

  This keeps track of the one adapter used for all `FigureGallery` instances.

  ** Generated **

### nodeItemProvider

    protected NodeItemProvider nodeItemProvider

  This keeps track of the one adapter used for all `Node` instances.

  ** Generated **

### childAccessItemProvider

    protected ChildAccessItemProvider childAccessItemProvider

  This keeps track of the one adapter used for all `ChildAccess` instances.

  ** Generated **

### connectionItemProvider

    protected ConnectionItemProvider connectionItemProvider

  This keeps track of the one adapter used for all `Connection` instances.

  ** Generated **

### compartmentItemProvider

    protected CompartmentItemProvider compartmentItemProvider

  This keeps track of the one adapter used for all `Compartment` instances.

  ** Generated **

### diagramLabelItemProvider

    protected DiagramLabelItemProvider diagramLabelItemProvider

  This keeps track of the one adapter used for all `DiagramLabel` instances.

  ** Generated **

### generalFacetItemProvider

    protected GeneralFacetItemProvider generalFacetItemProvider

  This keeps track of the one adapter used for all `GeneralFacet` instances.

  ** Generated **

### alignmentFacetItemProvider

    protected AlignmentFacetItemProvider alignmentFacetItemProvider

  This keeps track of the one adapter used for all `AlignmentFacet` instances.

  ** Generated **

### gradientFacetItemProvider

    protected GradientFacetItemProvider gradientFacetItemProvider

  This keeps track of the one adapter used for all `GradientFacet` instances.

  ** Generated **

### labelOffsetFacetItemProvider

    protected LabelOffsetFacetItemProvider labelOffsetFacetItemProvider

  This keeps track of the one adapter used for all `LabelOffsetFacet` instances.

  ** Generated **

### defaultSizeFacetItemProvider

    protected DefaultSizeFacetItemProvider defaultSizeFacetItemProvider

  This keeps track of the one adapter used for all `DefaultSizeFacet` instances.

  ** Generated **

### figureDescriptorItemProvider

    protected FigureDescriptorItemProvider figureDescriptorItemProvider

  This keeps track of the one adapter used for all `FigureDescriptor` instances.

  ** Generated **

### figureRefItemProvider

    protected FigureRefItemProvider figureRefItemProvider

  This keeps track of the one adapter used for all `FigureRef` instances.

  ** Generated **

### labelItemProvider

    protected LabelItemProvider labelItemProvider

  This keeps track of the one adapter used for all `Label` instances.

  ** Generated **

### labeledContainerItemProvider

    protected LabeledContainerItemProvider labeledContainerItemProvider

  This keeps track of the one adapter used for all `LabeledContainer` instances.

  ** Generated **

### rectangleItemProvider

    protected RectangleItemProvider rectangleItemProvider

  This keeps track of the one adapter used for all `Rectangle` instances.

  ** Generated **

### roundedRectangleItemProvider

    protected RoundedRectangleItemProvider roundedRectangleItemProvider

  This keeps track of the one adapter used for all `RoundedRectangle` instances.

  ** Generated **

### ellipseItemProvider

    protected EllipseItemProvider ellipseItemProvider

  This keeps track of the one adapter used for all `Ellipse` instances.

  ** Generated **

### polylineItemProvider

    protected PolylineItemProvider polylineItemProvider

  This keeps track of the one adapter used for all `Polyline` instances.

  ** Generated **

### polygonItemProvider

    protected PolygonItemProvider polygonItemProvider

  This keeps track of the one adapter used for all `Polygon` instances.

  ** Generated **

### scalablePolygonItemProvider

    protected ScalablePolygonItemProvider scalablePolygonItemProvider

  This keeps track of the one adapter used for all `ScalablePolygon` instances.

  ** Generated **

### polylineConnectionItemProvider

    protected PolylineConnectionItemProvider polylineConnectionItemProvider

  This keeps track of the one adapter used for all `PolylineConnection` instances.

  ** Generated **

### polylineDecorationItemProvider

    protected PolylineDecorationItemProvider polylineDecorationItemProvider

  This keeps track of the one adapter used for all `PolylineDecoration` instances.

  ** Generated **

### polygonDecorationItemProvider

    protected PolygonDecorationItemProvider polygonDecorationItemProvider

  This keeps track of the one adapter used for all `PolygonDecoration` instances.

  ** Generated **

### customFigureItemProvider

    protected CustomFigureItemProvider customFigureItemProvider

  This keeps track of the one adapter used for all `CustomFigure` instances.

  ** Generated **

### customDecorationItemProvider

    protected CustomDecorationItemProvider customDecorationItemProvider

  This keeps track of the one adapter used for all `CustomDecoration` instances.

  ** Generated **

### customConnectionItemProvider

    protected CustomConnectionItemProvider customConnectionItemProvider

  This keeps track of the one adapter used for all `CustomConnection` instances.

  ** Generated **

### rgbColorItemProvider

    protected RGBColorItemProvider rgbColorItemProvider

  This keeps track of the one adapter used for all `RGBColor` instances.

  ** Generated **

### constantColorItemProvider

    protected ConstantColorItemProvider constantColorItemProvider

  This keeps track of the one adapter used for all `ConstantColor` instances.

  ** Generated **

### basicFontItemProvider

    protected BasicFontItemProvider basicFontItemProvider

  This keeps track of the one adapter used for all `BasicFont` instances.

  ** Generated **

### pointItemProvider

    protected PointItemProvider pointItemProvider

  This keeps track of the one adapter used for all `Point` instances.

  ** Generated **

### dimensionItemProvider

    protected DimensionItemProvider dimensionItemProvider

  This keeps track of the one adapter used for all `Dimension` instances.

  ** Generated **

### insetsItemProvider

    protected InsetsItemProvider insetsItemProvider

  This keeps track of the one adapter used for all `Insets` instances.

  ** Generated **

### borderRefItemProvider

    protected BorderRefItemProvider borderRefItemProvider

  This keeps track of the one adapter used for all `BorderRef` instances.

  ** Generated **

### lineBorderItemProvider

    protected LineBorderItemProvider lineBorderItemProvider

  This keeps track of the one adapter used for all `LineBorder` instances.

  ** Generated **

### marginBorderItemProvider

    protected MarginBorderItemProvider marginBorderItemProvider

  This keeps track of the one adapter used for all `MarginBorder` instances.

  ** Generated **

### compoundBorderItemProvider

    protected CompoundBorderItemProvider compoundBorderItemProvider

  This keeps track of the one adapter used for all `CompoundBorder` instances.

  ** Generated **

### customBorderItemProvider

    protected CustomBorderItemProvider customBorderItemProvider

  This keeps track of the one adapter used for all `CustomBorder` instances.

  ** Generated **

### customLayoutDataItemProvider

    protected CustomLayoutDataItemProvider customLayoutDataItemProvider

  This keeps track of the one adapter used for all `CustomLayoutData` instances.

  ** Generated **

### gridLayoutDataItemProvider

    protected GridLayoutDataItemProvider gridLayoutDataItemProvider

  This keeps track of the one adapter used for all `GridLayoutData` instances.

  ** Generated **

### borderLayoutDataItemProvider

    protected BorderLayoutDataItemProvider borderLayoutDataItemProvider

  This keeps track of the one adapter used for all `BorderLayoutData` instances.

  ** Generated **

### layoutRefItemProvider

    protected LayoutRefItemProvider layoutRefItemProvider

  This keeps track of the one adapter used for all `LayoutRef` instances.

  ** Generated **

### customLayoutItemProvider

    protected CustomLayoutItemProvider customLayoutItemProvider

  This keeps track of the one adapter used for all `CustomLayout` instances.

  ** Generated **

### gridLayoutItemProvider

    protected GridLayoutItemProvider gridLayoutItemProvider

  This keeps track of the one adapter used for all `GridLayout` instances.

  ** Generated **

### borderLayoutItemProvider

    protected BorderLayoutItemProvider borderLayoutItemProvider

  This keeps track of the one adapter used for all `BorderLayout` instances.

  ** Generated **

### customAttributeItemProvider

    protected CustomAttributeItemProvider customAttributeItemProvider

  This keeps track of the one adapter used for all `CustomAttribute` instances.

  ** Generated **

### figureAccessorItemProvider

    protected FigureAccessorItemProvider figureAccessorItemProvider

  This keeps track of the one adapter used for all `FigureAccessor` instances.

  ** Generated **

### flowLayoutItemProvider

    protected FlowLayoutItemProvider flowLayoutItemProvider

  This keeps track of the one adapter used for all `FlowLayout` instances.

  ** Generated **

### xyLayoutItemProvider

    protected XYLayoutItemProvider xyLayoutItemProvider

  This keeps track of the one adapter used for all `XYLayout` instances.

  ** Generated **

### xyLayoutDataItemProvider

    protected XYLayoutDataItemProvider xyLayoutDataItemProvider

  This keeps track of the one adapter used for all `XYLayoutData` instances.

  ** Generated **

### stackLayoutItemProvider

    protected StackLayoutItemProvider stackLayoutItemProvider

  This keeps track of the one adapter used for all `StackLayout` instances.

  ** Generated **

Constructor Detail

### GMFGraphItemProviderAdapterFactory

    public GMFGraphItemProviderAdapterFactory()

  This constructs an instance.

  ** Generated **

Method Detail

### createCanvasAdapter

    public org.eclipse.emf.common.notify.Adapter createCanvasAdapter()

  This creates an adapter for a `Canvas`.

  Overrides:
    `createCanvasAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Canvas`
  ** Generated **

### createFigureGalleryAdapter

    public org.eclipse.emf.common.notify.Adapter createFigureGalleryAdapter()

  This creates an adapter for a `FigureGallery`.

  Overrides:
    `createFigureGalleryAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FigureGallery`
  ** Generated **

### createNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createNodeAdapter()

  This creates an adapter for a `Node`.

  Overrides:
    `createNodeAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Node`
  ** Generated **

### createChildAccessAdapter

    public org.eclipse.emf.common.notify.Adapter createChildAccessAdapter()

  This creates an adapter for a `ChildAccess`.

  Overrides:
    `createChildAccessAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ChildAccess`
  ** Generated **

### createConnectionAdapter

    public org.eclipse.emf.common.notify.Adapter createConnectionAdapter()

  This creates an adapter for a `Connection`.

  Overrides:
    `createConnectionAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Connection`
  ** Generated **

### createCompartmentAdapter

    public org.eclipse.emf.common.notify.Adapter createCompartmentAdapter()

  This creates an adapter for a `Compartment`.

  Overrides:
    `createCompartmentAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Compartment`
  ** Generated **

### createDiagramLabelAdapter

    public org.eclipse.emf.common.notify.Adapter createDiagramLabelAdapter()

  This creates an adapter for a `DiagramLabel`.

  Overrides:
    `createDiagramLabelAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DiagramLabel`
  ** Generated **

### createGeneralFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createGeneralFacetAdapter()

  This creates an adapter for a `GeneralFacet`.

  Overrides:
    `createGeneralFacetAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GeneralFacet`
  ** Generated **

### createAlignmentFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createAlignmentFacetAdapter()

  This creates an adapter for a `AlignmentFacet`.

  Overrides:
    `createAlignmentFacetAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AlignmentFacet`
  ** Generated **

### createGradientFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createGradientFacetAdapter()

  This creates an adapter for a `GradientFacet`.

  Overrides:
    `createGradientFacetAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GradientFacet`
  ** Generated **

### createLabelOffsetFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createLabelOffsetFacetAdapter()

  This creates an adapter for a `LabelOffsetFacet`.

  Overrides:
    `createLabelOffsetFacetAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LabelOffsetFacet`
  ** Generated **

### createDefaultSizeFacetAdapter

    public org.eclipse.emf.common.notify.Adapter createDefaultSizeFacetAdapter()

  This creates an adapter for a `DefaultSizeFacet`.

  Overrides:
    `createDefaultSizeFacetAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DefaultSizeFacet`
  ** Generated **

### createFigureDescriptorAdapter

    public org.eclipse.emf.common.notify.Adapter createFigureDescriptorAdapter()

  This creates an adapter for a `FigureDescriptor`.

  Overrides:
    `createFigureDescriptorAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FigureDescriptor`
  ** Generated **

### createFigureRefAdapter

    public org.eclipse.emf.common.notify.Adapter createFigureRefAdapter()

  This creates an adapter for a `FigureRef`.

  Overrides:
    `createFigureRefAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FigureRef`
  ** Generated **

### createLabelAdapter

    public org.eclipse.emf.common.notify.Adapter createLabelAdapter()

  This creates an adapter for a `Label`.

  Overrides:
    `createLabelAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Label`
  ** Generated **

### createLabeledContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createLabeledContainerAdapter()

  This creates an adapter for a `LabeledContainer`.

  Overrides:
    `createLabeledContainerAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LabeledContainer`
  ** Generated **

### createRectangleAdapter

    public org.eclipse.emf.common.notify.Adapter createRectangleAdapter()

  This creates an adapter for a `Rectangle`.

  Overrides:
    `createRectangleAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Rectangle`
  ** Generated **

### createRoundedRectangleAdapter

    public org.eclipse.emf.common.notify.Adapter createRoundedRectangleAdapter()

  This creates an adapter for a `RoundedRectangle`.

  Overrides:
    `createRoundedRectangleAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `RoundedRectangle`
  ** Generated **

### createEllipseAdapter

    public org.eclipse.emf.common.notify.Adapter createEllipseAdapter()

  This creates an adapter for a `Ellipse`.

  Overrides:
    `createEllipseAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Ellipse`
  ** Generated **

### createPolylineAdapter

    public org.eclipse.emf.common.notify.Adapter createPolylineAdapter()

  This creates an adapter for a `Polyline`.

  Overrides:
    `createPolylineAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Polyline`
  ** Generated **

### createPolygonAdapter

    public org.eclipse.emf.common.notify.Adapter createPolygonAdapter()

  This creates an adapter for a `Polygon`.

  Overrides:
    `createPolygonAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Polygon`
  ** Generated **

### createScalablePolygonAdapter

    public org.eclipse.emf.common.notify.Adapter createScalablePolygonAdapter()

  This creates an adapter for a `ScalablePolygon`.

  Overrides:
    `createScalablePolygonAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ScalablePolygon`
  ** Generated **

### createPolylineConnectionAdapter

    public org.eclipse.emf.common.notify.Adapter createPolylineConnectionAdapter()

  This creates an adapter for a `PolylineConnection`.

  Overrides:
    `createPolylineConnectionAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PolylineConnection`
  ** Generated **

### createPolylineDecorationAdapter

    public org.eclipse.emf.common.notify.Adapter createPolylineDecorationAdapter()

  This creates an adapter for a `PolylineDecoration`.

  Overrides:
    `createPolylineDecorationAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PolylineDecoration`
  ** Generated **

### createPolygonDecorationAdapter

    public org.eclipse.emf.common.notify.Adapter createPolygonDecorationAdapter()

  This creates an adapter for a `PolygonDecoration`.

  Overrides:
    `createPolygonDecorationAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PolygonDecoration`
  ** Generated **

### createCustomFigureAdapter

    public org.eclipse.emf.common.notify.Adapter createCustomFigureAdapter()

  This creates an adapter for a `CustomFigure`.

  Overrides:
    `createCustomFigureAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CustomFigure`
  ** Generated **

### createCustomDecorationAdapter

    public org.eclipse.emf.common.notify.Adapter createCustomDecorationAdapter()

  This creates an adapter for a `CustomDecoration`.

  Overrides:
    `createCustomDecorationAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CustomDecoration`
  ** Generated **

### createCustomConnectionAdapter

    public org.eclipse.emf.common.notify.Adapter createCustomConnectionAdapter()

  This creates an adapter for a `CustomConnection`.

  Overrides:
    `createCustomConnectionAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CustomConnection`
  ** Generated **

### createRGBColorAdapter

    public org.eclipse.emf.common.notify.Adapter createRGBColorAdapter()

  This creates an adapter for a `RGBColor`.

  Overrides:
    `createRGBColorAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `RGBColor`
  ** Generated **

### createConstantColorAdapter

    public org.eclipse.emf.common.notify.Adapter createConstantColorAdapter()

  This creates an adapter for a `ConstantColor`.

  Overrides:
    `createConstantColorAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ConstantColor`
  ** Generated **

### createBasicFontAdapter

    public org.eclipse.emf.common.notify.Adapter createBasicFontAdapter()

  This creates an adapter for a `BasicFont`.

  Overrides:
    `createBasicFontAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `BasicFont`
  ** Generated **

### createPointAdapter

    public org.eclipse.emf.common.notify.Adapter createPointAdapter()

  This creates an adapter for a `Point`.

  Overrides:
    `createPointAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Point`
  ** Generated **

### createDimensionAdapter

    public org.eclipse.emf.common.notify.Adapter createDimensionAdapter()

  This creates an adapter for a `Dimension`.

  Overrides:
    `createDimensionAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Dimension`
  ** Generated **

### createInsetsAdapter

    public org.eclipse.emf.common.notify.Adapter createInsetsAdapter()

  This creates an adapter for a `Insets`.

  Overrides:
    `createInsetsAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Insets`
  ** Generated **

### createBorderRefAdapter

    public org.eclipse.emf.common.notify.Adapter createBorderRefAdapter()

  This creates an adapter for a `BorderRef`.

  Overrides:
    `createBorderRefAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `BorderRef`
  ** Generated **

### createLineBorderAdapter

    public org.eclipse.emf.common.notify.Adapter createLineBorderAdapter()

  This creates an adapter for a `LineBorder`.

  Overrides:
    `createLineBorderAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LineBorder`
  ** Generated **

### createMarginBorderAdapter

    public org.eclipse.emf.common.notify.Adapter createMarginBorderAdapter()

  This creates an adapter for a `MarginBorder`.

  Overrides:
    `createMarginBorderAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `MarginBorder`
  ** Generated **

### createCompoundBorderAdapter

    public org.eclipse.emf.common.notify.Adapter createCompoundBorderAdapter()

  This creates an adapter for a `CompoundBorder`.

  Overrides:
    `createCompoundBorderAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CompoundBorder`
  ** Generated **

### createCustomBorderAdapter

    public org.eclipse.emf.common.notify.Adapter createCustomBorderAdapter()

  This creates an adapter for a `CustomBorder`.

  Overrides:
    `createCustomBorderAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CustomBorder`
  ** Generated **

### createCustomLayoutDataAdapter

    public org.eclipse.emf.common.notify.Adapter createCustomLayoutDataAdapter()

  This creates an adapter for a `CustomLayoutData`.

  Overrides:
    `createCustomLayoutDataAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CustomLayoutData`
  ** Generated **

### createGridLayoutDataAdapter

    public org.eclipse.emf.common.notify.Adapter createGridLayoutDataAdapter()

  This creates an adapter for a `GridLayoutData`.

  Overrides:
    `createGridLayoutDataAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GridLayoutData`
  ** Generated **

### createBorderLayoutDataAdapter

    public org.eclipse.emf.common.notify.Adapter createBorderLayoutDataAdapter()

  This creates an adapter for a `BorderLayoutData`.

  Overrides:
    `createBorderLayoutDataAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `BorderLayoutData`
  ** Generated **

### createLayoutRefAdapter

    public org.eclipse.emf.common.notify.Adapter createLayoutRefAdapter()

  This creates an adapter for a `LayoutRef`.

  Overrides:
    `createLayoutRefAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LayoutRef`
  ** Generated **

### createCustomLayoutAdapter

    public org.eclipse.emf.common.notify.Adapter createCustomLayoutAdapter()

  This creates an adapter for a `CustomLayout`.

  Overrides:
    `createCustomLayoutAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CustomLayout`
  ** Generated **

### createGridLayoutAdapter

    public org.eclipse.emf.common.notify.Adapter createGridLayoutAdapter()

  This creates an adapter for a `GridLayout`.

  Overrides:
    `createGridLayoutAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GridLayout`
  ** Generated **

### createBorderLayoutAdapter

    public org.eclipse.emf.common.notify.Adapter createBorderLayoutAdapter()

  This creates an adapter for a `BorderLayout`.

  Overrides:
    `createBorderLayoutAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `BorderLayout`
  ** Generated **

### createCustomAttributeAdapter

    public org.eclipse.emf.common.notify.Adapter createCustomAttributeAdapter()

  This creates an adapter for a `CustomAttribute`.

  Overrides:
    `createCustomAttributeAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CustomAttribute`
  ** Generated **

### createFigureAccessorAdapter

    public org.eclipse.emf.common.notify.Adapter createFigureAccessorAdapter()

  This creates an adapter for a `FigureAccessor`.

  Overrides:
    `createFigureAccessorAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FigureAccessor`
  ** Generated **

### createFlowLayoutAdapter

    public org.eclipse.emf.common.notify.Adapter createFlowLayoutAdapter()

  This creates an adapter for a `FlowLayout`.

  Overrides:
    `createFlowLayoutAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FlowLayout`
  ** Generated **

### createXYLayoutAdapter

    public org.eclipse.emf.common.notify.Adapter createXYLayoutAdapter()

  This creates an adapter for a `XYLayout`.

  Overrides:
    `createXYLayoutAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XYLayout`
  ** Generated **

### createXYLayoutDataAdapter

    public org.eclipse.emf.common.notify.Adapter createXYLayoutDataAdapter()

  This creates an adapter for a `XYLayoutData`.

  Overrides:
    `createXYLayoutDataAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XYLayoutData`
  ** Generated **

### createStackLayoutAdapter

    public org.eclipse.emf.common.notify.Adapter createStackLayoutAdapter()

  This creates an adapter for a `StackLayout`.

  Overrides:
    `createStackLayoutAdapter` in class `GMFGraphAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `StackLayout`
  ** Generated **

### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`
  ** Generated **

### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`
  ** Generated **

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `GMFGraphAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.
  ** Generated **

### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  ** Generated **

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  ** Generated **

### getChildCreationExtenders

    public java.util.List<org.eclipse.emf.edit.provider.IChildCreationExtender> getChildCreationExtenders()

  ** Generated **

### getNewChildDescriptors

    public java.util.Collection<?> getNewChildDescriptors(java.lang.Object object,
                                                          org.eclipse.emf.edit.domain.EditingDomain editingDomain)

  Specified by:
    `getNewChildDescriptors` in interface `org.eclipse.emf.edit.provider.IChildCreationExtender`
  ** Generated **

### getResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getResourceLocator()

  Specified by:
    `getResourceLocator` in interface `org.eclipse.emf.edit.provider.IChildCreationExtender`
  ** Generated **

### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`
  ** Generated **

### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`
  ** Generated **

### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`
  ** Generated **

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.